Bug 1730067 - UI inconsistencies when adding Zone with blank name or description
Summary: UI inconsistencies when adding Zone with blank name or description
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.7
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.11.z
Assignee: Hilda Stastna
QA Contact: Tasos Papaioannou
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-15 18:35 UTC by Tasos Papaioannou
Modified: 2019-09-06 14:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-06 13:28:24 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Tasos Papaioannou 2019-07-15 18:35:28 UTC
Description of problem:

The "Add" button should be disabled whenever either the "Name" or "Description" fields are empty.

1.) Click on Configuration > Settings > Zones > Configuration > Add a new Zone.
2.) See that the "Add" button is disabled.
3.) Type something in the "Name" field.
4.) The "Add" button is now enabled, even though a Description is required, and clicking "Add" triggers the flash message "Description can't be blank".
5.) If I now remove whatever is in the "Name" field, the "Add" button remains enabled. Clicking "Add" triggers the flash message "Zone name is required".

There are also inconsistent messages when one or the other field is blank:

1.) Type in a Name but leave the Description blank > click "Add":
	"Description can't be blank"

2.) Now remove whatever was typed into "Name", so that both fields are blank again > click "Add":
	"Zone name is required"

3.) Now type in a Description but leave the Name blank > click "Add":
	"Zone name is required"

4.) Now remove whatever was typed into "Description", so that both fields are blank again > click "Add":
	"Zone name is required"
	"Description is required"

5.) Now add a Name again, leaving the Description blank > click "Add":
	"Description is required"

So, depending on the history of the page, a blank Zone and Description might result in a disabled "Add" button, or only "Zone name is required", or both "Zone name is required" and "Description is required".

Also, sometimes a missing Description will trigger the message "Description can't be blank" and sometimes it will display "Description is required".


Version-Release number of selected component (if applicable):

Verified on 5.10.7.1 and 5.11.0.14

How reproducible:

100%


Steps to Reproduce:

See Description.


Actual results:

"Add" button is sometimes enabled when it should be disabled, error messages inconsistent not always the same.

Expected results:

"Add" button only enabled when both the "Name" and "Description" fields are not blank.


Additional info:

Comment 2 Hilda Stastna 2019-08-08 13:12:28 UTC
Note that Add/Save button was not responding properly also while changing stuff under NTP Servers section.
Please test also this while verifying fix for this BZ. Thanks.

Comment 4 Hilda Stastna 2019-09-06 13:28:24 UTC
Hi Tasos,

I was investigating this bug more and found that if I followed Expected results,
I would add more inconsistencies to the product. We usually don't perform validation
during making changes, in those older forms. Buttons respond on changing name and
description properly.


Note You need to log in before you can comment on or make changes to this bug.